#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 33. GNOME Libraries and Desktop

- Prev

  xdg-desktop-portal-gnome-47.3

- Next

  gnome-backgrounds-47.0

- Up
- Home

# DConf-0.40.0 / DConf-Editor-45.0.1

## Introduction to DConf

The DConf package contains a low-level configuration system. Its main purpose is to provide a backend to GSettings on platforms that don't already have configuration storage systems.

The DConf-Editor, as the name suggests, is a graphical editor for the DConf database. Installation is optional, because gsettings from GLib-2.82.5 provides similar functionality on the commandline.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/dconf/0.40/dconf-0.40.0.tar.xz

- Download MD5 sum: ac8db20b0d6b996d4bbbeb96463d01f0

- Download size: 115 KB

- Estimated disk space required: 7.0 MB (with tests)

- Estimated build time: 0.1 SBU (with tests)

### Additional Downloads

- Download (HTTP): https://download.gnome.org/sources/dconf-editor/45/dconf-editor-45.0.1.tar.xz

- Download MD5 sum: 82b2f5d396e95757ad7eaf89c82decd6

- Download size: 596 KB

- Estimated disk space required: 21 MB

- Estimated build time: 0.3 SBU

### DConf Dependencies

#### Required

dbus-1.16.0, GLib-2.82.5, GTK-3.24.48 (for the editor), libhandy-1.8.3 (for the editor), and libxml2-2.13.6 (for the editor)

#### Recommended

libxslt-1.1.42 and Vala-0.56.17

#### Optional

GTK-Doc-1.34.0 and bash-completion

## Installation of DConf

First, prevent unnecessary systemd units from being installed:

    sed -i 's/install_dir: systemd_userunitdir,//' service/meson.build

Install DConf by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr            \
                --buildtype=release      \
                -D bash_completion=false \
                ..                      &&
    ninja

To test the results, issue: ninja test

As the `root` user:

    ninja install

Now, optionally install the editor:

    cd ..              &&
    tar -xf ../dconf-editor-45.0.1.tar.xz &&
    cd dconf-editor-45.0.1                &&

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr --buildtype=release .. &&
    ninja

As the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D gtk_doc=true`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: dconf and dconf-editor
Installed Libraries: libdconf.so and libdconfsettings.so (GIO Module installed in `/usr/lib/gio/modules`)
Installed Directories: /usr/{include,share/gtk-doc/html}/dconf

### Short Descriptions

dconf | is a simple tool for manipulating the DConf database
dconf-editor | is a graphical program for editing the DConf database
`libdconf.so` | contains the DConf client API functions

- Prev

  xdg-desktop-portal-gnome-47.3

- Next

  gnome-backgrounds-47.0

- Up
- Home